# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Regexp-Common
Version:	2011121001
Release:	1.%{__distinit}%{__distvers}
Summary:	Provide commonly requested regular expressions
# Old Artistic 1.0 is also valid, but we won't list it here since it is non-free.
# Also, it would throw off the automated license check and flag this package.
License:	Artistic 2.0 or MIT or BSD
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Regexp-Common/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AB/ABIGAIL/Regexp-Common-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More), perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
By default, this module exports a single hash (`%%RE') that stores or generates
commonly needed regular expressions. Patterns currently provided include:

 * balanced parentheses and brackets
 * delimited text (with escapes)
 * integers and floating-point numbers in any base (up to 36)
 * comments in 44 languages
 * offensive language
 * lists of any pattern
 * IPv4 addresses
 * URIs
 * Zip codes

%prep
%setup -q -n Regexp-Common-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc TODO README COPYRIGHT* Changes
%{perl_vendorlib}/Regexp/
%{_mandir}/man3/Regexp::Common*

%changelog
* Sun Dec 11 2011 Paul Howarth <paul@city-fan.org> - 2011121001-1
- Update to 2011121001
  - Fixed a few cases where $[ was used instead of $] (CPAN RT#73033)
  - Typo fix in docs
  - Add an explicit 1 to end the main module; otherwise it may fail under Mason

* Sat Jul  2 2011 Paul Howarth <paul@city-fan.org> - 2011041701-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Apr 18 2011 Paul Howarth <paul@city-fan.org> - 2011041701-1
- Update to 2011041701
  - Fix documentation error (CPAN RT#2833)
  - Add patterns for JavaDoc comments (CPAN RT#13174)
- Nobody else likes macros for commands

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 2.122-8
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> - 2.122-7
- Fix dist tag for RHEL-6 Beta
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Jan  4 2010 Paul Howarth <paul@city-fan.org> - 2.122-6
- Update to 2010010201 (add $VERSION to all submodules: CPAN RT #53250)

* Thu Dec 31 2009 Paul Howarth <paul@city-fan.org> - 2.122-5
- Update to 2009123002 (fixes for CPANTS and perl < 5.6.0)

* Wed Dec 30 2009 Paul Howarth <paul@city-fan.org> - 2.122-4
- Update to 2009123001 (upstream changed versioning schemes for this release
  but in the interests of avoiding a subsequent epoch bump, I'm not using this
  versioning scheme for the packaging until I'm convinced that this is a long
  term change)
  - Fix POD issues (CPAN RT #34886, #48974)
  - Fail faster on some URI subpatterns (CPAN RT #52309)
- Add license texts and Changes file as %%doc
- BR: perl(Test::More), perl(Test::Pod), perl(Test::Pod::Coverage)
- Dist tag for Rawhide no longer needs special-casing

* Wed May  6 2009 Paul Howarth <paul@city-fan.org> - 2.122-3
- Import from Fedora

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.122-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.122-1
- update to 2.122
- license change

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.120-7
- rebuild for new perl

* Wed Aug 29 2007 Ralf Corsépius <rc040203@freenet.de> - 2.120-6
- BR: perl(ExtUtils::MakeMaker).

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 2.120-5
- Mass rebuild.

* Sat Feb 25 2006 Ralf Corsépius <rc040203@freenet.de> - 2.120-4
- Rebuild for FC5/perl-5.8.8.

* Thu Aug 20 2005 Ralf Corsepius <ralf@links2linux.de> - 2.120-3
- Further spec cleanup.

* Thu Aug 20 2005 Ralf Corsepius <ralf@links2linux.de> - 2.120-2
- Spec cleanup.

* Thu Aug 11 2005 Ralf Corsepius <ralf@links2linux.de> - 2.120-1
- FE submission.
